<template>
	<div class="h100 overflow-y-auto p-[24px]">
		<div class="flex flex-col h100 mt-[16px] border-solid border-1">
			<div class="text-[16px] font-[500] h-[22px]">知识库管理</div>
			<div class="mx-0 mt-[12px] mb-[16px] flex justify-between items-center">
				<el-input
					v-model="state.knowledgeBaseForm.Name"
					style="width: 226.4px"
					placeholder="搜索知识库名称"
					clearable
					:suffix-icon="Search"
				></el-input>
				<el-button icon="ele-Plus" @click="importData()" type="primary"> 创建知识库 </el-button>
			</div>
			<div class="flex flex-wrap gap-3 overflow-x-auto set_item_jel"></div>
		</div>
	</div>
</template>

<script setup lang="ts">
import { computed, nextTick, onMounted, reactive, ref } from 'vue';
import { Search } from '@element-plus/icons-vue';
const state = reactive({
	knowledgeBaseForm: {
		Name: '',
	},
});
</script>
<style scoped lang="scss">
.set_item_jel {
	align-items: center;
	background: #fff;
	border-radius: 16px;
	display: flex;
	min-width: 700px;
	padding: 16px 20px;
	width: 100%;
}
</style>
